AI Model APIEmbeddings
⚠️Compliance notice: Use this project only for lawfully authorized API gateway, internal management, and private deployment scenarios. Follow upstream terms of service, platform rules, regulatory requirements, and content safety requirements.
Native OpenAI Format
Convert text to vector embeddings
AuthorizationBearer <token>
Authenticate with a Bearer token.
Format: Authorization: Bearer sk-xxxxxx
In: header
modelstring
inputstring|
Text to embed
encoding_format?string
Default
"float"Value in
"float" | "base64"dimensions?integer
Output vector dimensions
Response Body
application/json
curl -X POST "https://api.beeaicloud.com/v1/embeddings" \ -H "Content-Type: application/json" \ -d '{ "model": "text-embedding-ada-002", "input": "string" }'{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0
]
}
],
"model": "string",
"usage": {
"prompt_tokens": 0,
"total_tokens": 0
}
}How is this guide?